futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.CodeGen.Backends.PyOpenCL.Boilerplate

Description

Various boilerplate definitions for the PyOpenCL backend.

Synopsis

- openClInit :: [(Name, KernelConstExp)] -> [PrimType] -> String -> ParamMap -> [FailureMsg] -> Text

# Documentation

openClInit :: [(Name, KernelConstExp)] -> [PrimType] -> String -> ParamMap -> [FailureMsg] -> Text Source #

Python code (as a string) that calls the `initiatialize_opencl_object` procedure. Should be put in the class constructor.